Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13657/?format=api
{ "ob_id": 13657, "uuid": "4b8810b9e32a4fa4a1dd470f9e2cc79f", "title": "African Monsoon Multidisciplinary Analysis (AMMA) Project: Aircraft Meteorological Data Relay (AMDAR) Reports", "abstract": "An international long-term collaboration to study the climatic and environmental feedback mechanisms involved in the African monsoon, and in some of its consequences on society and human health. The programme, which started in 2004, has developed a network of ground-based observation stations over Sub-Saharan West Africa to measure heat flux and, for some stations, CO2 and H2O vapour fluxes. Files also include concomitant meteorological measurements (wind, temperature, pressure, humidity, rainfall) and soil physics parameters (soil temperature and moisture). The UK branch of AMMA makes use of several instruments provided by the UK Universities Facility for Atmospheric Measurement (UFAM) which are centred on the Niamey meso-site. The Facility for Airbourne Atmospheric Measurements (FAAM) aircraft was used during the July-August 2006 campaign.", "keywords": "AMMA, AMDAR", "publicationState": "published", "dataPublishedTime": "2007-01-22T10:19:44", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13658/?format=api", "dataPath": "/badc/amma/data/ukmo-nrt/amdars", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 822142539, "numberOfFiles": 320, "fileFormat": "Data are NASA Ames formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3670/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/112/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52651/?format=api" ], "dataLineage": "Data were collected from 2004 by a network of ground-based observation stations over Sub-saharan West Africa, several instruments provided by the UK Universities Facility for Atmospheric Measurement (UFAM), and by the FAAM aircraft which was used during July-August 2006.\r\nData provided as is by campaign participants, and archived at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/5573/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/5570/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52164/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52162/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52163/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52168/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52169/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52161/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52166/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52167/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52165/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54799/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/4423/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }